Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.vecmath
Class Point3d

    java.lang.Object
      javax.vecmath.Tuple3d
          javax.vecmath.Point3d

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Point3d

extends Tuple3d
implements java.io.Serializable

A 3 element point that is represented by double precision floating point x,y,z coordinates.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.vecmath.Tuple3d
`x, y, z`

Constructor Summary
`Point3d()` Constructs and initializes a Point3d to (0,0,0).
`Point3d(double[] p)` Constructs and initializes a Point3d from the array of length 3.
`Point3d(double x, double y, double z)` Constructs and initializes a Point3d from the specified xyz coordinates.
`Point3d(Point3d p1)` Constructs and initializes a Point3d from the specified Point3d.
`Point3d(Point3f p1)` Constructs and initializes a Point3d from the specified Point3f.
`Point3d(Tuple3d t1)` Constructs and initializes a Point3d from the specified Tuple3d.
`Point3d(Tuple3f t1)` Constructs and initializes a Point3d from the specified Tuple3f.

Method Summary
`double` | `distance(Point3d p1)` Returns the distance between this point and point p1.
`double` | `distanceL1(Point3d p1)` Computes the L-1 (Manhattan) distance between this point and point p1.
`double` | `distanceLinf(Point3d p1)` Computes the L-infinite distance between this point and point p1.
`double` | `distanceSquared(Point3d p1)` Returns the square of the distance between this point and point p1.
`void` | `project(Point4d p1)` Multiplies each of the x,y,z components of the Point4d parameter by 1/w and places the projected values into this point.

Methods inherited from class javax.vecmath.Tuple3d
`absolute, absolute, add, add, clamp, clamp, clamp, clamp, clampMax, clampMax, clampMax, clampMax, clampMin, clampMin, clampMin, clampMin, clone, epsilonEquals, equals, equals, get, get, hashCode, interpolate, interpolate, interpolate, interpolate, negate, negate, scale, scale, scaleAdd, scaleAdd, scaleAdd, set, set, set, set, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Point3d

    public Point3d(double x,
                   double y,
                   double z)

  Constructs and initializes a Point3d from the specified xyz coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `z` - the z coordinate

### Point3d

    public Point3d(double[] p)

  Constructs and initializes a Point3d from the array of length 3.

  Parameters:
    `p` - the array of length 3 containing xyz in order

### Point3d

    public Point3d(Point3d p1)

  Constructs and initializes a Point3d from the specified Point3d.

  Parameters:
    `p1` - the Point3d containing the initialization x y z data

### Point3d

    public Point3d(Point3f p1)

  Constructs and initializes a Point3d from the specified Point3f.

  Parameters:
    `p1` - the Point3f containing the initialization x y z data

### Point3d

    public Point3d(Tuple3f t1)

  Constructs and initializes a Point3d from the specified Tuple3f.

  Parameters:
    `t1` - the Tuple3f containing the initialization x y z data

### Point3d

    public Point3d(Tuple3d t1)

  Constructs and initializes a Point3d from the specified Tuple3d.

  Parameters:
    `t1` - the Tuple3d containing the initialization x y z data

### Point3d

    public Point3d()

  Constructs and initializes a Point3d to (0,0,0).

Method Detail

### distanceSquared

    public final double distanceSquared(Point3d p1)

  Returns the square of the distance between this point and point p1.

  Parameters:
    `p1` - the other point
  Returns:
    the square of the distance

### distance

    public final double distance(Point3d p1)

  Returns the distance between this point and point p1.

  Parameters:
    `p1` - the other point
  Returns:
    the distance

### distanceL1

    public final double distanceL1(Point3d p1)

  Computes the L-1 (Manhattan) distance between this point and point p1. The L-1 distance is equal to: abs(x1-x2) + abs(y1-y2) + abs(z1-z2).

  Parameters:
    `p1` - the other point
  Returns:
    the L-1 distance

### distanceLinf

    public final double distanceLinf(Point3d p1)

  Computes the L-infinite distance between this point and point p1. The L-infinite distance is equal to MAX[abs(x1-x2), abs(y1-y2), abs(z1-z2)].

  Parameters:
    `p1` - the other point
  Returns:
    the L-infinite distance

### project

    public final void project(Point4d p1)

  Multiplies each of the x,y,z components of the Point4d parameter by 1/w and places the projected values into this point.

  Parameters:
    `p1` - the source Point4d, which is not modified

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD